#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		partitionmanager
Version: 24.11.80
Release:	%mkrel %{rel}
Summary:	KDE Partition Manager
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://apps.kde.org/partitionmanager/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	cmake(KPMcore) >= 24.01
BuildRequires:  cmake(PolkitQt6-1)

BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)

Requires:	kpmcore >= 24.01

%description
KDE Partition Manager is a utility program to help you manage the disk devices,
partitions and file systems on your computer. It allows you to easily create,
copy, move, delete, resize without losing data, backup and restore partitions.

KDE Partition Manager supports a large number of file systems,
including ext2/3/4, reiserfs, NTFS, FAT16/32, jfs, xfs and more.

Starting from version 1.9.50 KDE Partition Manager has become the GUI part of
KPMcore (KDE PartitionManager core) which contain the libraries used to
manipulate filesystems.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf6_bindir}/*
%{_kf6_applicationsdir}/org.kde.partitionmanager.desktop
%{_kf6_datadir}/config.kcfg/partitionmanager.kcfg
%{_kf6_metainfodir}/org.kde.partitionmanager.appdata.xml
%{_kf6_iconsdir}/hicolor/*/*/*
%{_kf6_datadir}/solid/actions/open_in_partitionmanager.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html

# Validate appdata file
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/*.appdata.xml


%changelog
* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116474
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114169
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105667
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097533
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087725
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085221
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073341
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069990
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058735
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045272
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037771
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033893
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025270
- New version 24.01.85

* Tue Nov 21 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2008612
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989711
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958287
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946599
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941892
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923014
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911508
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905359
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886877
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880863
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873176
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854066
- New version 22.04.0

* Mon Apr 18 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1851442
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846122
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763958
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724169
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718450
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698658
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694184
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1656940
- New version 20.12.0 (says hello partitionmanager to release-service stack)

* Mon Oct 19 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1637125
- new version: 4.2.0, fixes CVE-2020-27187 (mga#27442)
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 4.1.0-2.mga8
+ Revision: 1547774
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1488264
- new version: 4.1.0
+ wally <wally>
- build with new cmake macros

* Thu May 02 2019 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1396154
- new version: 4.0.0

* Sun Mar 31 2019 umeabot <umeabot> 3.3.1-3.mga7
+ Revision: 1383863
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.3.1-2.mga7
+ Revision: 1300115
- Mageia 7 Mass Rebuild

* Wed Jan 10 2018 daviddavid <daviddavid> 3.3.1-1.mga7
+ Revision: 1192039
- new version: 3.3.1

* Sun Dec 24 2017 daviddavid <daviddavid> 3.3.0-1.mga7
+ Revision: 1184493
- new version: 3.3.0

* Fri Oct 20 2017 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1172823
- new version: 3.2.1

* Wed Oct 04 2017 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1168141
- new version: 3.2.0

* Tue Sep 19 2017 daviddavid <daviddavid> 3.1.2-1.mga7
+ Revision: 1155820
- new version: 3.1.2

* Sat Jul 22 2017 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1127913
- new version: 3.1.0

* Sat Jan 07 2017 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1080440
- new version: 3.0.1

* Sun Jan 01 2017 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1078966
- New version 3.0.0

* Sun Jul 10 2016 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1040378
- new version: 2.2.1

* Sat May 28 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1019067
- new version: 2.2.0

* Thu May 26 2016 daviddavid <daviddavid> 2.1.0-2.mga6
+ Revision: 1018695
- rebuild for new kpmcore 2.1.1

* Sun Mar 13 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 990206
- new version: 2.1.0

* Tue Jan 26 2016 daviddavid <daviddavid> 2.0.0-2.mga6
+ Revision: 927853
- add missing requires on kpmcore main package

* Tue Jan 26 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 927831
- new version: 2.0.0
- switch build to Qt5/kf5
- update URL and Source URL
- improve description

* Sun Feb 22 2015 lmenut <lmenut> 1.1.1-1.mga5
+ Revision: 816309
- Update to 1.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 744485
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 683346
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 fwang <fwang> 1.1.0-1.mga5
+ Revision: 655828
- update file list
- 1.1.0

* Fri Oct 18 2013 umeabot <umeabot> 1.0.60-0.1236311.4.mga4
+ Revision: 509034
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.60-0.1236311.3.mga3
+ Revision: 362435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 1.0.60-0.1236311.2.mga3
+ Revision: 278266
- rebuild for new parted

* Thu Feb 23 2012 juancho <juancho> 1.0.60-0.1236311.1.mga2
+ Revision: 213472
- imported package partitionmanager


* Wed Jun 15 2011 Funda Wang <fwang@mandriva.org> 1.0.60-0.1236311.1
+ Revision: 685216
- new snapshot
- build with latest parted3
- rebuild for new parted

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 575100
- update to new version 1.0.3

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 538464
- update to new version 1.0.2

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2010.1
+ Revision: 512203
- rebuild for new parted

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 489783
- fix file list
- new version 1.0.1

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 482622
- rebuild for new parted

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 417737
- 1.0.0 final

* Tue Aug 04 2009 Funda Wang <fwang@mandriva.org> 1.0.0-0.RC1.1mdv2010.0
+ Revision: 408642
- new version 1.0 rc1

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.0-0.BETA3.3mdv2010.0
+ Revision: 400624
- rebuild for new parted

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-0.BETA3.2mdv2010.0
+ Revision: 384385
- Switch to libblkid-devel

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 1.0.0-0.BETA3.1mdv2010.0
+ Revision: 382962
- New version 1.0.0 beta 3

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.0.0-0.BETA2.1mdv2010.0
+ Revision: 369466
- New version beta 2

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 1.0.0-0.BETA1a.1mdv2009.1
+ Revision: 330834
- import partitionmanager


